> ## Documentation Index
> Fetch the complete documentation index at: https://webscraping.titannet.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Select plan

> On success the body includes success and message only (no data field). Errors may use the legacy shape.



## OpenAPI

````yaml /openapi/billing.yaml post /api/v1/billing/plan/select
openapi: 3.0.3
info:
  title: Titan Billing API
  description: Wallet balances, ledger, activity, usage summaries, plans, and statements.
  version: '1.0'
servers:
  - url: https://api.webscraping.titannet.io
    description: Production
security: []
tags:
  - name: Balance & ledger
  - name: Usage
  - name: Plans & statements
  - name: Metadata
paths:
  /api/v1/billing/plan/select:
    post:
      tags:
        - Plans & statements
      summary: Select plan
      description: >-
        On success the body includes success and message only (no data field).
        Errors may use the legacy shape.
      operationId: postBillingPlanSelect
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelectPlanRequest'
      responses:
        '200':
          description: Plan selected
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyError'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    SelectPlanRequest:
      type: object
      required:
        - plan_id
      properties:
        plan_id:
          type: string
          example: plan_free
    LegacyError:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT or API key as Bearer (e.g. titan_sk_…).
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````